# Generated from ninetails-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ninetails

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Structured CMS API for Rails
License: MIT
URL: https://github.com/iZettle/ninetails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(web-console) >= 2.2
# BuildRequires: rubygem(web-console) < 3
# BuildRequires: rubygem(spring) >= 1.6
# BuildRequires: rubygem(spring) < 2
# BuildRequires: rubygem(spring-commands-rspec) >= 1.0
# BuildRequires: rubygem(spring-commands-rspec) < 2
# BuildRequires: rubygem(rspec-rails) >= 3.3
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(guard-rspec) >= 4.6
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(factory_girl) >= 4.5
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(factory_girl_rails) >= 4.5
# BuildRequires: rubygem(factory_girl_rails) < 5
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
BuildArch: noarch

%description
Ninetails is a structured API for building a CMS API in Rails.
It lets you define Sections, Elements, and Properties which control what can
and cannot be edited.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.2-1
- Initial package
